Page MenuHomePhabricator

[PowerPC] Add exception constraint to FP sqrt, fma, min/max
ClosedPublic

Authored by qiucf on Jan 14 2020, 10:46 PM.

Details

Summary

The concept of strict floating point nodes was added into LLVM in https://reviews.llvm.org/D55506.
This is the third follow-up patch to add constraint fp support about exception part for PowerPC target.

Diff Detail

Event Timeline

qiucf created this revision.Jan 14 2020, 10:46 PM

Unit tests: pass. 61907 tests passed, 0 failed and 781 were skipped.

clang-tidy: unknown.

clang-format: fail. Please format your changes with clang-format by running git-clang-format HEAD^ or applying this patch.

Build artifacts: diff.json, clang-format.patch, CMakeCache.txt, console-log.txt, test-results.xml

amyk added a subscriber: amyk.Mar 14 2020, 3:13 PM

Please adjust the RUN lines so they do not exceed 80 characters.

llvm/test/CodeGen/PowerPC/fp-strict-fma-f128.ll
1 ↗(On Diff #238174)

Exceeding 80 characters.

kpn added a comment.May 5 2020, 8:42 AM

Most of this is in TableGen files, and I have so little experience there that I can't review. I'm sorry.

The test cases have large changes in the generated assembly, but I can't read PowerPC assembly so I don't know what's going on there.

Is there a PowerPC person who can review meaningfully?

llvm/test/CodeGen/PowerPC/fp-strict-fma-f128.ll
1 ↗(On Diff #238174)

I don't think we care about test cases exceeding 80 characters. A quick check shows thousands with just RUN: lines longer than 80.

hfinkel accepted this revision as: hfinkel.May 6 2020, 3:46 PM
hfinkel added a subscriber: hfinkel.

LGTM.

This revision is now accepted and ready to land.May 6 2020, 3:46 PM
This revision was automatically updated to reflect the committed changes.